#include <inttypes.h>

void bitdemo() {
    uint8_t x, y;

    /* x is binary 1010 0101. (A common test pattern.) */
    x = 0xa5;
    /* y is 0000 0001 shifted left by 6, which is 0100 0000. */
    y = 1 << 6;
    /* y is true if bit 6 of x is set. That is, if bit-6 of x is set then y is
     * (1 << 6), otherwise 0. */
    y = x & (1 << 6);

    /* Set bit 3 of x. That is, bitwise or of x with 0000 1000. */
    x |= (1 << 3);
    /* Clear bit 2 of x. That is, bitwise and of x with 1111 1011. */
    x &= ~(1 << 2);

    /* Double logicial negation: Turns *any* true into 1 and leaves false as 0. */
    y = !!y;
}
