#include <inttypes.h>

/** Returns a word with only bit-th bit set. Mind the parentheses! */
#define BIT(bit) (1ull << (bit))
/** Raise bit-th bit in word. */
#define BIT_SET(word, bit) ((word) |= BIT(bit))
/** Clear bit-th bit in word. */
#define BIT_CLR(word, bit) ((word) &= ~BIT(bit))
/** Returns BIT(bit) if bit-th bit of word is set and zero otherwise. */
#define MASK_BIT(word, bit) ((word) & BIT(bit))
/** Returns a value "1" if bit-th bit of word is set and zero otherwise. */
#define BIT_IS_SET(word, bit) (!!((word) & BIT(bit)))

void bitdemo() {
    uint8_t x=0xa5, y;
    /* y is 0100 0000. */
    y = BIT(6);
    /* y is true if bit 6 of x is set. */
    y = MASK_BIT(x, 6);
    /* Set bit 3 of x. */
    BIT_SET(x, 3);
    /* Clear bit 2 of x. */
    BIT_CLR(x, 2);
}
