/* Compare:
 *   gcc -lm inline.c -o inline-O0 -O0
 *   gcc -lm inline.c -o inline-O1 -O1
 *
 * objdump --disassemble inline-O0
 * objdump --disassemble inline-O1
 */

#include <math.h>
#include <stdio.h>

extern inline double sq(double x);
extern inline double norm(double x, double y);

inline double sq(double x) {
    return x * x;
}

inline double norm(double x, double y) {
    return sqrt(sq(x) + sq(y));
}

void demo(double x, double y) {
    printf("%f %f", norm(x, y), sq(x));
}

int main() {
    demo(2.0, 3.0);
    return 0;
}
