#include <avr/io.h>

void uart_init() {
    /* UBRR of 51 gives a baud rate of 8 MHz / (16*(51 + 1)) = 9615.4 Hz.
     * This is 0.16% off 9600 Hz, which is fine. */
    UBRRL = 51;
    UBRRH = 0;
    /* Asynchronous mode, 8N1 frame format (p164). */
    UCSRC = (1 << URSEL) | (1 << UCSZ1) | (1 << UCSZ0);
    /* Enable receiver and transmitter (p161) */
    UCSRB = (1 << RXEN) | (1 << TXEN);
    /* For interrupt-based communication, enable interrupts in UCSRB. */
}
