#include <avr/io.h>

void uart_send(uint8_t data) {
    /* Busy wait until transmit buffer is empty, i.e., the Data Register Empty
     * (UDRE) flag is set so the next frame can be sent. */
    while (!(UCSRA & (1 << UDRE)));

    /* Writing to UDR (buffer) sends the data. */
    UDR = data;
}
