#include <avr/interrupt.h>

ISR (TIMER0_OVF_vect) {
    /* TCNT0 became zero and raised an overflow interrupt. */
}

void init() {
    /* Timer/counter control register for timer/counter 0. (p80)
     * Set (waveform generation) mode to 'normal'.
     * Set compare match output mode to 'normal' (OC0 pin disconnected).
     * Set clock select to internal clock with prescaler 8. */
    TCCR0 = (1 << CS01);
    /* Set TOIE0 bit (timer overflow interupt enable for timer/counter 0) */
    TIMSK |= (1 << TOIE0);

    /* Set global interrupt enable bit. */
    sei();
}
